<div class="mat-elevation-z8">
    <table mat-table class="full-width-table" matSort aria-label="Elements">
        <!-- Id Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
            <td mat-cell *matCellDef="let student">{{student.id}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- StudentId Column -->
        <ng-container matColumnDef="studentId">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Student Id</th>
            <td mat-cell *matCellDef="let student">{{student.studentId}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <ng-container matColumnDef="studentFirstname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Firstname</th>
            <td mat-cell *matCellDef="let student">{{student.studentFirstname}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- Name Column -->
        <ng-container matColumnDef="studentSurname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Surname</th>
            <td mat-cell *matCellDef="let student">{{student.studentSurname}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- Surname Column -->
        <ng-container matColumnDef="studentDob">
            <th mat-header-cell *matHeaderCellDef>DOB</th>
            <td mat-cell *matCellDef="let student">{{student.studentDob}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- Gpa Column -->
        <ng-container matColumnDef="studentEmail">
            <th mat-header-cell *matHeaderCellDef>Email</th>
            <td mat-cell *matCellDef="let student">{{student.studentEmail}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <!-- image Column -->
        <ng-container matColumnDef="studentImage">
            <th mat-header-cell *matHeaderCellDef class="center-text">Image</th>
            <td mat-cell *matCellDef="let student" class="center-text">
                <img [src]="student.studentImage" [title]="student.studentImage" class="img-fluid">
            </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>
        <ng-container matColumnDef="isPending">
            <th mat-header-cell *matHeaderCellDef class="center-text">Action</th>
            <td mat-cell *matCellDef="let student">
                <div class="center appBtn">
                    <button mat-mini-fab [color]="'success'" (click)="_onConfirm()">
                    <mat-icon>check</mat-icon>
                  </button>
                    <button mat-mini-fab color="warn" (click)="_onReject()">
                    <mat-icon>close</mat-icon>
                  </button>
                </div>
            </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
    </table>

    <mat-paginator #paginator [length]="dataSource?.data.length" [pageIndex]="0" [pageSize]="50" [pageSizeOptions]="[25, 50, 100, 250]">
    </mat-paginator>
</div>
